<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс ColorGrid</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="classColorGrid-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс ColorGrid</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид для выбора цвета*.  
 <a href="classColorGrid.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:ColorGrid:</div>
<div class="dyncontent">
<div class="center"><img src="classColorGrid__inherit__graph.png" border="0" usemap="#ColorGrid_inherit__map" alt="Inheritance graph"/></div>
<map name="ColorGrid_inherit__map" id="ColorGrid_inherit__map">
<area shape="rect" title="Грид для выбора цвета*." alt="" coords="5,80,88,107"/>
<area shape="rect" title=" " alt="" coords="6,5,87,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса ColorGrid:</div>
<div class="dyncontent">
<div class="center"><img src="classColorGrid__coll__graph.png" border="0" usemap="#ColorGrid_coll__map" alt="Collaboration graph"/></div>
<map name="ColorGrid_coll__map" id="ColorGrid_coll__map">
<area shape="rect" title="Грид для выбора цвета*." alt="" coords="5,80,88,107"/>
<area shape="rect" title=" " alt="" coords="6,5,87,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:ac11cb7fc8027b4071cd60cf8e01999bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classColorGrid.html#ac11cb7fc8027b4071cd60cf8e01999bf">getCurrentColor</a> ()</td></tr>
<tr class="memdesc:ac11cb7fc8027b4071cd60cf8e01999bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение текущего цвета в гриде  <a href="classColorGrid.html#ac11cb7fc8027b4071cd60cf8e01999bf">Подробнее...</a><br /></td></tr>
<tr class="separator:ac11cb7fc8027b4071cd60cf8e01999bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид для выбора цвета*. </p>

<p class="definition">См. определение в файле <a class="el" href="ColorGrid_8qml_source.html">ColorGrid.qml</a> строка <a class="el" href="ColorGrid_8qml_source.html#l00015">15</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="ac11cb7fc8027b4071cd60cf8e01999bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac11cb7fc8027b4071cd60cf8e01999bf">&#9670;&nbsp;</a></span>getCurrentColor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ColorGrid::getCurrentColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение текущего цвета в гриде </p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="ColorGrid_8qml_source.html">ColorGrid.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
